accrue.analysis.ext

## Interface ExtProcedureCall

- All Superinterfaces:
    AccrueExt, java.lang.Cloneable, polyglot.util.Copy<polyglot.ast.Ext>, polyglot.ast.Ext, polyglot.ast.NodeOps, java.io.Serializable
  All Known Implementing Classes:
    ExtCall, ExtConstructorCall, ExtEnumConstantDecl, ExtNew

      public interface ExtProcedureCall
      extends AccrueExt

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canTerminateNormally(AnalysisContext context)`
    `CallSiteNode` | `getCallSiteNode()`
    `void` | `recordPreciseExResults(AnalysisContext context, java.util.Set<ThrowableType> throwTypes, boolean canTerminateNormally)`
    `void` | `setCallSiteNode(CallSiteNode callSiteNode)`
    `java.util.Collection<ThrowableType>` | `throwTypes(polyglot.types.TypeSystem ts, AnalysisContext context)`

    - ### Methods inherited from interface accrue.analysis.ext.AccrueExt

      `enclosingFinallyDepth, getAnalysisResult, getAnalysisResult, getAnalysisResult, numArgumentsOnResultStack, recordAnalysisResult, recordAnalysisResult, recordAnalysisResult, registerPointerStmts, removeAnalysisResult, removeAnalysisResult, removeAnalysisResult, setEnclosingFinallyDepth`

    - ### Methods inherited from interface polyglot.ast.Ext

      `dump, ext, ext, init, initPred, node, pred`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Method Detail

    - #### setCallSiteNode

          void setCallSiteNode(CallSiteNode callSiteNode)

    - #### getCallSiteNode

          CallSiteNode getCallSiteNode()

    - #### recordPreciseExResults

          void recordPreciseExResults(AnalysisContext context,
                                    java.util.Set<ThrowableType> throwTypes,
                                    boolean canTerminateNormally)

    - #### canTerminateNormally

          boolean canTerminateNormally(AnalysisContext context)

    - #### throwTypes

          java.util.Collection<ThrowableType> throwTypes(polyglot.types.TypeSystem ts,
                                                       AnalysisContext context)